Apache-Talk @lexa.ru 

Inet-Admins @info.east.ru 

Filmscanners @halftone.co.uk 

Security-alerts @yandex-team.ru 

nginx-ru @sysoev.ru 

   


   


   

















      :: Security-alerts
Security-Alerts mailing list archive (security-alerts@yandex-team.ru)

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[security-alerts] FW: NTP ntpq "cookedprint()" Buffer Overflow Vulnerability



----------------------------------------------------------------------

TITLE:
NTP ntpq "cookedprint()" Buffer Overflow Vulnerability

SECUNIA ADVISORY ID:
SA34608

VERIFY ADVISORY:
http://secunia.com/advisories/34608/

DESCRIPTION:
A vulnerability has been reported in NTP, which can be exploited by
malicious people to potentially compromise a user's system.

The vulnerability is caused due to a boundary error within the
"cookedprint()" function in ntpq/ntpq.c. This can be exploited to
cause a stack-based buffer overflow with two bytes via a specially
crafted server response.

Successful exploitation may allow execution of arbitrary code, but
requires that the user is tricked into querying a malicious time
server with ntpq.

The vulnerability is reported in version 4.2.4p6. Other versions may
also be affected.

SOLUTION:
Fixed in version 4.2.4p7-RC2.

PROVIDED AND/OR DISCOVERED BY:
Apple Product Security

ORIGINAL ADVISORY:
https://support.ntp.org/bugs/show_bug.cgi?id=1144

----------------------------------------------------------------------



 




Copyright © Lexa Software, 1996-2009.